[rabbitmq-discuss] Missing dependency in management plugin/mochiweb

Simon MacMullen simon at rabbitmq.com
Wed Apr 25 12:57:58 BST 2012

On 25/04/12 12:52, Alvaro Videla wrote:
> I tried to reproduce the problem. Actually *rabbitmq-server* needs to
> declare *inets* in its app dependencies.

I still don't get it - does the release build thing that you have check 
only the rabbit.app descriptor, or those of all the plugins too?

If the former, why did adding xmerl to rabbitmq-management fix anything? 
(it was the right thing to do anyway, but why did it not cause this 

If the latter, why is inets not being picked up due to its presence in 

Cheers, Simon

Simon MacMullen
RabbitMQ, VMware

More information about the rabbitmq-discuss mailing list